<?php get_header(); ?>

<div class="container">

<div class="contents">
<div class="main_contents">

	<!-- カスタマイザーの値を取得 -->
  <?php
	$options = get_option('toppage_custom');
	?>

<!-- トップコンテンツ -->
<?php if($options['first_disp']): ?>

<section id="first_contents" class="contents_padding">
<h2 class="top_h2_style"><?php echo nl2br($options['first_title']); ?></h2>
<p class="top_text_style">
	<?php
echo nl2br($options['first_txt']);
	?>
</p>
<?php if($options['img_disp']): ?>

<div id="first_contents_img">
<img src="<?php echo $options['first_img']?>" alt="ファーストコンテンツイメージ">
</div>
</section>

<?php endif; ?>

<?php endif; ?>

<!-- お知らせ -->
<?php if($options['news_disp']): ?>

<section id="news_contents" class="contents_padding">
	<h2 class="top_h2_style">お知らせ</h2>
	<?php
	$the_query_work = new WP_Query('category_name=news' );
	if($the_query_work->have_posts()):
	?>
	<div class="news_list">
		<?php while($the_query_work->have_posts()): $the_query_work->the_post(); ?>
			<a href="<?php the_permalink(); ?>">
				<!-- news 日付 -->
				<div id="news_date">
				<?php echo get_the_date('Y-m-d')?>
				</div>

				<!-- news タイトル-->
				<div id="news_title">
				<?php the_title(); ?>&nbsp;<i class="fa fa-sign-in" aria-hidden="true"></i>
				</div>

				<div class="clearlist">
				</div>

			</a>
	</div>
		<?php endwhile; ?>

	<?php else: ?>
		<p>お知らせ情報はありません</p>
	<?php endif; ?>

	<div class="link_btn">
		<a href="<?php echo home_url();?>/category/news/">
			<span>お知らせ一覧へ&nbsp;<i class="fa fa-external-link" aria-hidden="true"></i></span>
		</a>
	</div>

</section>
<?php endif; ?>

<!-- 最新投稿 -->
<?php if($options['article_disp']): ?>

<section id="article_contents" class="contents_padding">
<h2 class="top_h2_style">最新の投稿</h2>
<ul class="article_list">
<!-- 最新記事3件表示 -->
<?php $the_query = new WP_Query(array('orderby'=>'date', 'posts_per_page' => 3)); ?>
<?php if($the_query->have_posts()): while($the_query->have_posts()): $the_query->the_post(); ?>
	<li class="article_excerpt">
			<div <?php post_class(); ?>>
				<div class="article_eyecatch">
					<a href="<?php the_permalink(); ?>">
			<?php if( has_post_thumbnail() ): ?>
				<?php the_post_thumbnail( 'medium' ); ?>
			<?php else: ?>
				<!-- アイキャッチ画像が無い記事は、NO IMAGEを表示 -->
				<img src="<?php echo get_template_directory_uri();?>/images/no-image.jpg" alt="No Image">
			<?php endif; ?>
				</a>
			</div>

			<div class="article_info">
				<!-- タイトル -->
				<div class="article_title"><?php the_title(); ?></div>
				<!-- カテゴリ/日付 -->
				<div class="article_meta">
					<!-- 日付 -->
					<span class="article_date"><?php echo get_the_date('Y-m-d')?></span>

					<!-- カテゴリ -->
					<span class="article_category">
					<?php $cat = get_the_category(); $cat = $cat[0]; { echo $cat->cat_name; } ?>
					</span>
					<div class="article_txt">
					<?php the_excerpt(); ?>
					</div>
				</div>
				<div class="link_btn">
					<a href="<?php the_permalink(); ?>">
						続きを読む&nbsp;<i class="fa fa-chevron-right"></i></a>
				</div>
			</div>
			<div class="clearlist">
			</div>

		</div>
	</li>
<?php endwhile; endif; ?>


<?php wp_reset_postdata(); ?>
</ul>
<div style="clear: both;"></div>
<!-- もっと見るボタン -->
<div class="link_btn">
		<a href="<?php echo home_url();?>/blog_list/">
		<span>投稿一覧はこちらから&nbsp;<i class="fa fa-external-link" aria-hidden="true"></i></span>
		</a>
</div>
</section>
<?php endif; ?>

</div> <!-- end top_main_contents -->

<div class="side_contents">
	<?php get_sidebar(); ?>

</div> <!-- end top_side_menu -->
</div> <!-- end top_contents -->

</div> <!-- end container -->




<?php get_footer(); ?>
